Validate policy
POST /v2/compliance/validate
POST
/v2/compliance/validate
Validate a policy definition to ensure it conforms to the expected format and rules.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
policy
required
The policy to validate
string
correlationId
Correlation ID for tracking
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Responses
Section titled “ Responses ”Created successfully
The policy validation result indicating whether the policy is valid and any errors found.
object
valid
required
Whether the policy is valid
boolean
true errors
Validation errors if any
Array<string>
[ "Invalid policy format"] correlationId
Correlation ID
string
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error